Summary: Tcl extensions for network management applications.
Name: scotty
Version: 2.1.10
Release: 2
Copyright: distributable
Group: Utilities/Network
Source: ftp://ftp.ibr.cs.tu-bs.de/pub/local/tkined/scotty-%{version}.tar.gz
Url: http://wwwsnmp.cs.utwente.nl/~schoenw/scotty/#TKINED
Patch3: scotty-2.1.7-glibc.patch
Requires: tcl >= 7.5 tk >= 4.1
BuildRoot:/var/tmp/scotty-root

%description
Scotty is a software package which allows implementation of site-specific
network management software using high-level, string-based APIs. Scotty
is based on Tcl, which simplifies the development of portable network
management scripts. The scotty source distribution includes two major
components: the Tnm Tcl Extension, which provides access to network
management information sources, and the Tkined network editor, which
provides a framework for an extensible network management system.

%prep
%setup -q
%patch3 -p1 -b .glibc

cd unix 

%build
cd unix
./configure --prefix='$(DESTDIR)/usr' --enable-gcc --enable-gdmo --enable-multicast
sed -e 's/gcc/egcs/' < Makefile > Makefile-NEW && mv Makefile-NEW Makefile
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin  
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/man/mann

cd unix
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/install -c -m 755 ntping $RPM_BUILD_ROOT/usr/bin
/usr/bin/install -c -m 755 straps $RPM_BUILD_ROOT/usr/bin

( cd $RPM_BUILD_ROOT
  for F in ./usr/lib/*/pkgIndex.tcl
  do
    sed -e s,$RPM_BUILD_ROOT,, < ${F} > ${F}-N && mv ${F}-N ${F}
  done
)

( cd $RPM_BUILD_ROOT/usr/bin
  ln -s scotty* scotty
  ln -s tkined* tkined
  cd ../man/mann
  rm -f http.n
)

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO license.terms
/usr/bin/tkined*
/usr/bin/scotty*
/usr/bin/ntping
/usr/bin/straps
/usr/lib/tkined*
/usr/lib/tnm*
/usr/man/mann/*
/usr/man/man1/*
/usr/man/man8/*

%changelog 
* Wed Oct 28 1998 Jeff Johnson <jbj@redhat.com>
- no /usr/man/mann/http.n

* Wed Oct 21 1998 Jeff Johnson <jbj@redhat.com>
- fix build root
- new description/summary
- update to 2.1.10

* Sat Jun 04 1998 Michael Maher <mike@redhat.com>
- Buildroot problems.  Removed until time to trouble shoot.

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- updated package
- added build root

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- removed /usr/man/mann/http.n 
  (conflicted with Tcl, and it's the same man page.)

* Thu Dec  4 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc, with patch from Erik

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- updated version

* Tue May 06 1997 Michael Fulbright <msf@redhat.com>
- Added patch for mibtree app. It was messing with the tk_strictMotif
  tkvar in a way Tk didnt like. Seems to run fine with my patch, whereas
  it didnt run at all before!
